## optee-os 4.1.0

=== debian/changelog ===
optee-os (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Feb 2024 14:34:33 +0100

optee-os (4.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #868212)
  * Explain in debian/README.Debian why several embedded libraries are needed.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 09 Jan 2024 11:09:21 +0100
