=== debian/rules ===
#!/usr/bin/make -f

# hardening -> relro breaks compilation with error "'-Wl,-z,relro' unknown"
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-relro

%:
	dh $@

override_dh_auto_build:
	# Build for k3-am62x platform
	make PLATFORM=k3-am62x \
	     CFG_ARM64_core=y \
	     CFG_USER_TA_TARGETS=ta_arm64
