## optee-os 4.2.0

=== debian/changelog ===
optee-os (4.2.0-3ubuntu1) oracular; urgency=medium

  * Strip -Wl, from LDFLAGS as optee_os calls ld directly.
  * Remove -f flags from LDFLAGS as optee_os is built as -pie.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 09 Jun 2024 17:41:04 +0000

optee-os (4.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Tue, 30 Apr 2024 17:07:30 +0200

optee-os (4.2.0-2) experimental; urgency=medium

  * Build new binary package optee-os-dev installing the SDK of optee-os.
    These files are required to package optee-test (see #868216) which
    is the TEE sanity test suite.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Apr 2024 15:24:31 +0200

optee-os (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Standards-Version: 4.7.0 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Apr 2024 14:17:13 +0200

optee-os (4.1.0-2) unstable; urgency=medium

  * Refactor debian/rules
  * Build optee-os for QEMU
  * Update debian/copyright
  * Add debian/upstream/metadata

 -- Dylan Aïssi <daissi@debian.org>  Wed, 28 Feb 2024 17:31:33 +0100
