## optee-os 4.3.0

=== debian/changelog ===
optee-os (4.3.0-1ubuntu2) oracular; urgency=medium

  * d/rules: remove elf-package-metadata.specs from LDFLAGS (LP: #2074012).

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Wed, 24 Jul 2024 21:42:42 -0700

optee-os (4.3.0-1ubuntu1) oracular; urgency=medium

  * Fix arm64 build by disabling elfpackagemetadata newly introduced in dpkg,
    and not understood by linker

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2024 12:34:08 +0200

optee-os (4.3.0-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream version 4.3.0

  [ Loïc Minier ]
  * Strip -Wl, from LDFLAGS as optee_os calls ld directly. (Closes: #1072948)
  * Remove -f flags from LDFLAGS as optee_os is built as -pie.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2024 16:30:57 +0200
