=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	$(foreach subplatform, $(subplatforms), \
 		CROSS_COMPILE=aarch64-linux-gnu-  \
 		CFLAGS='$($(platform)_CFLAGS)' CPPFLAGS='$($(platform)_CPPFLAGS)' \
-		CXXFLAGS='$($(platform)_CXXFLAGS)' LDFLAGS='$(filter-out -f%,$($(platform)_LDFLAGS:-Wl,%=%))' \
+		CXXFLAGS='$($(platform)_CXXFLAGS)' LDFLAGS='$(filter-out -f% -specs=/usr/share/dpkg/elf-package-metadata.specs,$($(platform)_LDFLAGS:-Wl,%=%))' \
 		make PLATFORM=$(platform) $($(subplatform)_assigns) DEBUG=$(debug) V=1; \
 	)
 endef
