## optee-os 4.4.0

=== debian/changelog ===
optee-os (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * debian/rules: Export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Jan 2025 18:16:39 +0100
