## optee-os 4.5.0

=== debian/changelog ===
optee-os (4.5.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch fixing CVE-2025-46733 (Closes: #1109075)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 11 Jul 2025 11:44:01 +0200

optee-os (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 Jan 2025 21:44:58 +0100
